import "pe"


rule Trojan_ANELLDR_type1
{
    meta:
        Author = "Trend Micro"
        Created_Time = "2024-10-01"
        Detection_Type = "File"
        Malware_Name = "Trojan.WIN32.ANELLDR"
        Description = "loder of ANEL"
        TLP = "AMBER"
        Attack_Intrusion_Set = "Earth Kasha"

	strings:
		$chunk_1 = {
			8B 55 ??
			8A 54 0A 10
			8B 45 ??
			30 14 08
			41
			83 F9 10
			7C ??
		}
	
    condition:
        uint16(0) == 0x5A4D and
        pe.is_dll() and
        all of them
}

rule Trojan_ANELLDR_type2
{
    meta:
        Author = "Trend Micro"
        Created_Time = "2024-10-01"
        Detection_Type = "File"
        Malware_Name = "Trojan.WIN32.ANELLDR"
        Description = "loder of ANEL"
        TLP = "AMBER"
        Attack_Intrusion_Set = "Earth Kasha"
    strings:
        $chunk_1 = {
            8A 14 0E
            88 D4
            F6 D4
            20 C4
            F6 D0
            20 D0
            08 E0
            88 04 0E
        }
    condition:
        uint16(0) == 0x5A4D and
        pe.is_dll() and
        all of them
}


rule Trojan_ANELLDR_type3
{
    meta:
        Author = "Trend Micro"
        Created_Time = "2024-10-01"
        Detection_Type = "File"
        Malware_Name = "Trojan.WIN32.ANELLDR"
        Description = "loder of ANEL"
        TLP = "AMBER"
        Attack_Intrusion_Set = "Earth Kasha"

    strings:
        $chunk_1 = {
            8A 14 0F
            88 D4
            80 E2 ??
            F6 D4
            80 E4 ??
            08 E2
            88 C4
            24 ??
            F6 D4
            80 E4 ??
            08 E0
            30 D0
            88 04 0F
        }
    
    condition:
        uint16(0) == 0x5A4D and
        pe.is_dll() and
        all of them
}
    
