rule Backdoor_ANEL_commands
{
    meta:
        Author = "Trend Micro"
        Created_Time = "2024-10-01"
        Detection_Type = "Memory"
        Malware_Name = "Trojan.WIN32.ANEL"
        Description = "Detection for ANEL in memory"
        TLP = "AMBER"
        Attack_Intrusion_Set = "Earth Kasha"
    strings:
        // part of xxhash of get screenshot
        $h1 = {27 A7 F0 CF}

        // part of xxhash of get timezone
        $h2 = {E3 1C FB 85}

        // part of xxhash of dowload/exec
        $h3 = {78 52 B5 74}

        // part of xxhash of upload
        $h4 = {D5 68 CC 6C}

        // part of xxhash of download
        $h5 = {DD 40 7D 69}

        // part of xxhash of load pe
        $h6 = {00 0A 1C FF}
    condition:
        all of them
}

rule Backdoor_ANEL_debug_messages
{
    meta:
        Author = "Trend Micro"
        Created_Time = "2024-10-01"
        Detection_Type = "Memory"
        Malware_Name = "Trojan.WIN32.ANEL"
        Description = "Detection for ANEL in memory"
        TLP = "AMBER"
        Attack_Intrusion_Set = "Earth Kasha"

    strings:
        $s1 = "dll_size %Iu bytes, compress_size %Iu bytes, dllhash 0x%08x"
        $s2 = "Inject failed with error %u"
        $s3 = "Failed to execute in memory!"
        $s4 = "Failed. The file checksum does not match!"
        $s5 = "WARNING: loading PE file without .reloc section!"
        $s6 = "x86 version supports x86 shellcode only!"
    condition:
        all of them
}

